<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" targetNamespace="http://svnspb.epam.com/kaz-pnk/sono/entity/wrapper" xmlns:tns="http://svnspb.epam.com/kaz-pnk/sono/entity/wrapper" xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:import schemaLocation="schema7.xsd"/>

  <xs:complexType name="reflectionWrapperType">
    <xs:sequence>
      <xs:element name="fields" type="tns:mapWrapperType" minOccurs="0"/>
    </xs:sequence>
    <xs:attribute name="class-name" type="xs:string" use="required"/>
  </xs:complexType>

  <xs:complexType name="mapWrapperType">
    <xs:sequence>
      <xs:element name="valueList" type="tns:mapElementWrapperType" nillable="true" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="mapElementWrapperType">
    <xs:sequence>
      <xs:element name="key" type="xs:anyType" nillable="true" minOccurs="0"/>
      <xs:element name="value" type="xs:anyType" nillable="true" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
</xs:schema>

